Skip to main content
GET
Retrieve a taxonomy

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Path Parameters

id
string
required

Identifier of the taxonomy

Minimum string length: 1

Query Parameters

include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

A taxonomy resource.

name
string
required
Minimum string length: 1
id
string
Minimum string length: 1
type
string
Allowed value: "taxonomy"
url
string<uri>
sortLabelsBy
enum<string>
default:id

Indication to the client about how it should sort taxonomy-labels. Value can be interpolated as the expected value of the "sort" query parameter: /lucca-api/taxonomy-labels?taxonomy.id={{taxonomy.id}}&sort={{taxonomy.sortLabelsBy}}

Available options:
id,
name
createdAt
string<date-time-offset>

Read-only. UTC timestamp of the moment this object was created.

Example:

"2023-01-23T12:45:23.1234Z"

lastUpdatedAt
string<date-time>

Read-only. UTC timestamp of the moment this object was last updated. Set upon creation, update or deletion of the object.

Example:

"2023-01-23T12:45:23.1234Z"

t9n
object
embedded
object | null

No embedded resources on a taxonomy(ies) response. Expect an empty object if embedded are requested.